<!--@Header-->
<?php
session_start();

if(isset($_SESSION['nomUsuario'])){
    $usuario = $_SESSION['nomUsuario'];
    $rol_usuario=$_SESSION['rolUsuario'];
    $id=$_SESSION['cveUsuario'];
    
    if ($rol_usuario == 'ADMINISTRADOR') {
        include("path/header.php");
    }else{
        echo "<script> 
               document.location.href='../functions/salir.php';
            </script>";
    }
}else{
  echo "<script> 
        document.location.href='/aqua-restaurant/';
    </script>";
}
?>
<div class="row">
    <div class="col-md-12 mb-lg-0">
        <div class="card mt-1 pb-0 p-2">
            <nav>
                <div class="nav nav-tabs" id="nav-tab" role="tablist">
                    <button class="nav-link active" id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="true">Consultor por fechas</button>
                    <button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="false">Consultor por producto</button>
                    <button class="nav-link " id="nav-cocina-tab" data-bs-toggle="tab" data-bs-target="#nav-cocina" type="button" role="tab" aria-controls="nav-cocina" aria-selected="true">Área de Cocina</button>
                    <button class="nav-link " id="nav-clasificacion-tab" data-bs-toggle="tab" data-bs-target="#nav-clasificacion" type="button" role="tab" aria-controls="nav-clasificacion" aria-selected="true">Consultor por clasificaciones</button>
                </div>
            </nav>
           
        </div>
        <div class="tab-content" id="nav-tabContent">
              <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                <div class="card">
                    <div class="p-3 pt-2">
                        
                            <div class="row">
                                
                                <div class="col-md-2">
                                    <label class="form-label"><h5>Del Dia:</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control from_date" type="date" id="from_date" name="from_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                <label class="form-label"><h5> Hasta  el Dia</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control to_date" type="date" id="to_date" name="to_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <label class="form-label"><h5>Ir</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <label><b></b></label> <br>
                                    <button type="button" class="btn btn-primary" style="border-radius: 5px;" id="buscarNota">Buscar</button>
                                    <div style="height:10px; padding-left: 10px;"></div>
                                    <button type="button" class="btn btn-secondary" style="border-radius: 5px;" onclick="Limpiar()">Limpiar</button>
                                    </div>
                                    <input type="hidden" value="0" id="fechaValida">
                                </div>
                                
                            </div>
                              <div class="row pb-1">
                                  <div class="col-md-4">
                                      <b>Total de notas: </b>
                                      <b id="ntv_notas"></b>
                                  </div>
                                  <div class="col-md-4">
                                      <b>Total del rango:  </b>
                                      <b id="ntv_rango">$ </b>
                                  </div>
                                  <div class="col-md-4">
                                      <b>Mesas:  </b>
                                      <b id="ntv_mesas"></b>
                                  </div>
                              </div>    
                              <div class="row pb-2">
                                  <div class="col-md-4">
                                      <b>Personas:  </b>
                                      <b id="ntv_personas"></b>
                                  </div>
                                  <div class="col-md-4">
                                      <b>Tarjeta:  </b>
                                      <b id="ntv_tarjeta">$ </b>
                                  </div>
                                  <div class="col-md-4">
                                      <b>Efectivo:  </b>
                                      <b id="ntv_efectivo">$ </b>
                                  </div>
                              </div> 
                          
                          
                          <div class="">
                            <table class="" id="tablaNotas" style="min-width:100%;">
                              <thead align="center" style="background: linear-gradient(135deg, #05265926, #052659);color: #052659;border: 1px solid rgba(5, 38, 89, .3);" >
                                  <tr>
                                      <th scope="col">No Nota</th>
                                      <th scope="col">Fecha</th>
                                      <th scope="col">Hora</th>
                                      <th scope="col">Subtotal</th>
                                      <th scope="col">Total</th>
                                      <th scope="col">Mesa</th>
                                      <th scope="col">Persona</th>
                                      <th scope="col">Tarjeta</th>   
                                      <th scope="col">Efectivo</th>   
                                      <th scope="col">Imp</th>                
                                  </tr>
                              </thead>
                              <tbody></tbody>
                            </table>
                              
                          </div>
                    </div>
                </div>
              </div>
              <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                <div class="card">
                      <div class="p-3 pt-2">
                              <div class="row">
                                  <div class="col-md-3">
                                      <label class="form-label"><h5>Producto</h5></label>
                                      <form autocomplete="off">
                                          <div class="input-group input-group-outline autocompletar">
                                              <input type="text" class="form-control" id="producto_nota" name="producto_nota" autocomplete = "off" value="">
                                              <input type="hidden" class="form-control" id="id_producto_nota_2" name="id_producto_nota_2" autocomplete = "off" value="">
                                          </div>
                                          <ul id="lista_produtos" class="list"></ul>
                                          
                                      </form>
                                  </div> 
                                  <br>
                                  <div class="col-md-2">
                                      <label class="form-label"><h5>Del Dia:</h5></label>
                                      <div class="input-group input-group-outline mb-1">
                                          <input class="form-control" type="date" name="from_date_2" id="from_date_2" value="">
                                      </div>
                                  </div>
                                  <div class="col-md-2">
                                  <label class="form-label"><h5> Hasta  el Dia</h5></label>
                                      <div class="input-group input-group-outline mb-1">
                                          <input class="form-control" type="date" name="to_date_2"  id="to_date_2" value="">
                                      </div>
                                  </div>
                                  <div class="col-md-4">
                                  <label class="form-label"><h5>Ir</h5></label>
                                      <div class="input-group input-group-outline mb-1">
                                          <label><b></b></label> <br>
                                      <button type="submit" class="btn btn-primary" style="border-radius: 5px;" id="btn_buscar_prod">Buscar</button>
                                      <div style="height:10px; padding-left: 10px;"></div>
                                      <button type="button" class="btn btn-secondary" style="border-radius: 5px;" onclick="Limpiar2()">Limpiar</button>
                                      </div>
                                  </div><div class="row pb-1">
                                    <div class="col-md-4">
                                      <div class="row">
                                        <div class="col-md-5">
                                          <b>Total de notas: </b>
                                        </div>
                                        <div class="col-md-6" id="total_notas"></div>
                                      </div>
                                    </div>
                                    <div class="col-md-4">
                                      <div class="row">
                                        <div class="col-md-5">
                                          <b>Total del rango: </b>
                                          
                                        </div>
                                        
                                        <div class="col-md-6" id="total_rango"></div>
                                      </div>
                                    </div>
                                    <div class="col-md-4">
                                      <div class="row">
                                        <div class="col-md-5"> 
                                          <b>Mesas: </b>
                                        </div>
                                      
                                        <div class="col-md-6" id="total_mesas"></div>
                                      </div>
                                    </div>
                                </div>    
                                <div class="row pb-2">
                                    <div class="col-md-4">
                                      <div class="row">
                                        <div class="col-md-5">
                                          <b>Personas: </b>
                                        </div>   
                                        
                                        <div class="col-md-6" id="total_personas"></div>
                                      </div>
                                    </div>
                                    <div class="col-md-4">
                                      <div class="row">
                                        <div class="col-md-5">
                                          <b>Cantidad: </b>
                                        </div>   
                                        
                                        <div class="col-md-6" id="total_cantidad"></div>
                                      </div>
                                    </div>
                                </div>  
                              </div>
                              
                          <!-- </form> -->
                          <div class="">
                            <table class="" id= "tabla_productos" style="min-width:100%">
                              <thead  align="center" style="background: linear-gradient(135deg, #05265926, #052659);color: #052659;border: 1px solid rgba(5, 38, 89, .3);">
                                  <tr>
                                      <th scope="col" >Producto</th>
                                      <th scope="col" >Nota</th>
                                      <th scope="col" >Fecha</th>
                                      <th scope="col" >Cantidad</th>
                                      <th scope="col" >Total</th>
                                      <th scope="col" >Mesa</th>             
                                  </tr>
                              </thead>
                              <tbody ></tbody>
                            </table>
                          </div>
                      </div>
                </div>
              </div>
              <div class="tab-pane fade" id="nav-cocina" role="tabpanel" aria-labelledby="nav-cocina-tab">
                    <div class="card">
                        <div class="p-3 pt-2">
                            <div class="row">
                                
                                <div class="col-md-2">
                                    <label class="form-label"><h5>Del Dia:</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control from_date" type="date" id="from_date2" name="from_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                <label class="form-label"><h5> Hasta  el Dia</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control to_date" type="date" id="to_date2" name="to_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <label class="form-label"><h5>Ir</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <label><b></b></label> <br>
                                    <button type="button" class="btn btn-primary" style="border-radius: 5px;" id="buscarNota2">Buscar</button>
                                    <div style="height:10px; padding-left: 10px;"></div>
                                    <button type="button" class="btn btn-secondary" style="border-radius: 5px;" onclick="Limpiar()">Limpiar</button>
                                    </div>
                                    <input type="hidden" value="0" id="fechaValida">
                                </div>
                                
                            </div>
                            <div class="row pb-1">
                                    <div class="col-md-8">
                                        <b>Cantidad de Productos Vendidos: </b>
                                        <b id="cant_ventas"></b>
                                    </div>
                                    <div class="col-md-4">
                                        <b>Total de Ganancia:  </b>
                                        <b id="ganancias">$ </b>
                                    </div>
                                    
                            </div>    
                            <div class="table-responsive">
                                <table class="" id="tabla_ventas" style="width:100%;">
                                    <thead style="background: linear-gradient(135deg, #05265926, #052659);color: #052659;border: 1px solid rgba(5, 38, 89, .3);" >
                                        <tr>
                                            <th scope="col">Cocinero</th>
                                            <th scope="col">Producto</th>
                                            <th scope="col">Cantidad</th>
                                            <th scope="col">Precio</th>
                                            <th scope="col">Total</th>              
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                                
                            </div>
                        </div>
                    </div>
              </div>
              <div class="tab-pane fade" id="nav-clasificacion" role="tabpanel" aria-labelledby="nav-clasificacion-tab">
                    <div class="card">
                        <div class="p-3 pt-2">
                            <div class="row">
                                <div class="col-md-2">
                                  <label class="form-label"><h5>Clasificación: </h5></label>
                                  <select class="form-select" name="clasificacion" id="clasificacion">
                                    <option value='' selected> SELECCIONAR</option>
                                    <option value='TODOS' > TODOS</option>
                                    <option value='BAR'> BAR</option>
                                    <option value='ALMUERZO'> ALMUERZO</option>
                                    <option value='BEBIDAS'> BEBIDAS</option>
                                    <option value='COMIDA'> COMIDA</option>
                                    <option value='POSTRE'> POSTRE</option>
                                    <option value='CENA'> CENA</option>
                                  </select>
                                </div>
                                <div class="col-md-2">
                                    <label class="form-label"><h5>Del Dia:</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control from_date" type="date" id="from_dateC" name="from_dateC" value="">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                <label class="form-label"><h5> Hasta  el Dia</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control to_date" type="date" id="to_dateC" name="to_dateC" value="">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <label class="form-label"><h5>Ir</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <label><b></b></label> <br>
                                    <button type="button" class="btn btn-primary" style="border-radius: 5px;" id="buscarProdsClass">Buscar</button>
                                    <div style="height:10px; padding-left: 10px;"></div>
                                    <button type="button" class="btn btn-secondary" style="border-radius: 5px;" onclick="Limpiar()">Limpiar</button>
                                    </div>
                                    <input type="hidden" value="0" id="fechaValida">
                                </div>
                                
                            </div>
                            <div class="row pb-1">
                                    <div class="col-md-8">
                                        <b>Cantidad de Productos Vendidos: </b>
                                        <b id="cant_clasificaciones"></b>
                                    </div>
                                    <div class="col-md-4">
                                        <b>Total de Ganancia:  </b>
                                        <b id="ganancias_clasi">$ </b>
                                    </div>
                                    
                            </div>    
                            <div class="table-responsive">
                                <table class="" id="tabla_clasificaciones" style="width:100%;">
                                    <thead style="background: linear-gradient(135deg, #05265926, #052659);color: #052659;border: 1px solid rgba(5, 38, 89, .3);" >
                                        <tr>
                                            <th scope="col">Clasificación</th>
                                            <th scope="col">Producto</th>
                                            <th scope="col">Cantidad</th>
                                            <th scope="col">Precio</th>
                                            <th scope="col">Total</th>              
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
</div>

<!-- Modal Impresion-->
<div class="modal fade" id="ModalImprimir" tabindex="-1" aria-labelledby="ModalImprimirLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ModalImprimirLabel">Impresión</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      <div class="card h-50">
            <div class="card-header">
              <div class="row">
                <div class="col-6 d-flex align-items-center">
                  <h6 class="mb-0">Datos de la nota:</h6> <h6 class="mb-0" id="clv_nota_venta_im"></h6>
                </div>
                <div class="col-3 d-flex align-items-center">
                  <h6 class="mb-0" >Fecha: </h6><h6 class="mb-0" id="fecha_im"></h6>
                </div>
                <div class="col-3 d-flex align-items-center">
                  <h6 class="mb-0" >Hora: </h6><h6 class="mb-0" id="hora_im"></h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <div class="row">
                
                <div class="col-8">
                  <h8 for="" >Mesa: </h8> <h8 id="msa_im"></h8>
                </div>
                <div class="col-4">
                  <h8 for="" >Personas: </h8> <h8 id="per_im"></h8>
                </div>
              </div>
              <br>
              <div class="row">
                <div class="col-8">
                  <h8 for=""> Total a pagar: </h8><h8 id="total_im" data-value=''></h8>
                </div>
                <div class="col-4">
                  <h8 for="">Mesero: </h8><h8 id="mesero"></h8>
                </div>
              </div>
            </div>
          </div>
      </div>
      
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_imprimir2" onclick="cargarDatosNota()">Imprimir</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal Impresion-->
<div class="modal fade" id="ModalEspera" tabindex="-1" aria-labelledby="ModalEsperaLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ModalEsperaLabel">Cargando...</h5>
      </div>
      <div class="modal-body">
       <h6 class="">Por favor espere unos minutos</h6>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<script src="../assets/js/jquery-3.5.1.min.js"></script>
<script src="../assets/lib/dataTable/datatables.min.js?v=1.0.0.0"></script>
<!--// AUTOCOMPLETADO DE PRODUCTO //-->
<script type="text/javascript">
  var input = document.getElementById('producto_nota');
  if (input) {
    input.addEventListener("keyup", (e)=>{
    var valor = input.value;
    
    $.ajax({
        data: {consulta: valor},
        url: '../functions/autocomplete_bus_producto_2.php',
        type: 'post',
        dataType:'html',
        success:  function (response) {
          $('#lista_produtos').html(response);
        },
        error: function (error) {
            console.log(error); 
        }
    });
  });                        
}
  
  $('#ModalImprimir').on('show.bs.modal', function(e) {
    var button = $(e.relatedTarget); // Botón que activó el modal
    var id = button.data('id'); // ID del registro correspondiente
    var modal = $(this);
    modal.find('#btn_imprimir2').data('id', id); // Asignar ID al botón de eliminar en el modal
    
    $.ajax({
        data: {id_nota: id},
        url: '../functions/finalizar_nota_1.php',
        type: 'GET',
        dataType: 'json',
        success:  function (data) {
          if (data.clave_nota) {
            $('#clv_nota_im').text(data.clave_nota);
            $('#clv_nota_venta_im').text(data.clave_nota);
            $('#mesero').text(data.uss_nombre);
            $('#msa_im').text(data.no_mesa);
            $('#total_im').text('$'+data.total_nota);
            $('#total_im').attr('data-value',(data.total_nota));
            $('#per_im').text(data.no_personas);
            $('#fecha_im').text(data.fecha_creacion_nota);
            $('#hora_im').text(data.hora_inicial_nota);
          }
        },
        error: function (error) {
          console.log(error); 
         
        }
    });

  });
  $(document).ready(function(){
    $(document).on('click', '#lista_produtos li', function(){
      
      document.getElementById('producto_nota').value =$(this).text();
      document.getElementById('id_producto_nota_2').value =$(this).data('code');
      var producto = $(this).text();
      removeElements();

    });
    
  });
  function removeElements(){
    console.log('Remove');
    let items = document.querySelectorAll(".list-items");
    items.forEach((item) => {
      item.remove();
    });
  }
</script>

<script>
  $('#tablaNotas').DataTable({
        order: [[1, 'desc']],
        dom: 'Blrt',
        searching: false,  
        lengthChange: false,
        buttons: [],
        pagingType: 'simple_numbers',
        language: {
            url: '../assets/lib/dataTable/spanish.json',
        },
        paging: true,
        scrollY: 'calc(90vh - 300px)',
        scrollX: true,
        fixedHeader: true,
        columns: [
            {data: 'noNota', class: 'sku'},
            {data: 'Fecha', class: 'productName'},
            {data: 'Hora', class: 'serieNumber'},
            {data: 'Subtotal', class: 'dateRegs'},
            {data: 'Total', class: 'quantity'},
            {data: 'Mesa', class: 'code-type_s'},
            {data: 'Persona', class: 'code-type_s'},
            {data: 'Tarjeta', class: 'comments'},
            {data: 'Efectivo', class: 'code-type_s'},
            {data: 'Imp', class: 'comments'},
        ],
    });

    $('#tabla_productos').DataTable({
        order: [[1, 'desc']],
        dom: 'Blrt',
        searching: false,  
        lengthChange: false,
        buttons: [],
        pagingType: 'simple_numbers',
        language: {
            url: '../assets/lib/dataTable/spanish.json',
        },
        paging: true,
        scrollY: 'calc(90vh - 300px)',
        scrollX: true,
        fixedHeader: true,
        columns: [
            {data: 'Producto', class: 'sku'},
            {data: 'Nota', class: 'productName'},
            {data: 'Fecha', class: 'serieNumber'},
            {data: 'Cantidad', class: 'dateRegs'},
            {data: 'Total', class: 'quantity'},
            {data: 'Mesa', class: 'code-type_s'},
        ],
    });

    $('#tabla_clasificaciones').DataTable({
        order: [[1, 'desc']],
        dom: 'Blrt',
        searching: false,  
        lengthChange: false,
        buttons: [],
        pagingType: 'simple_numbers',
        language: {
            url: '../assets/lib/dataTable/spanish.json',
        },
        paging: true,
        scrollY: 'calc(90vh - 300px)',
        scrollX: true,
        fixedHeader: true,
        columns: [
            {data: 'Clasificacion', class: 'productName'},
            {data: 'Producto', class: 'productName'},
            {data: 'Cantidad', class: 'quantity'},
            {data: 'Precio', class: 'price'},
            {data: 'Total', class: 'total_price'},
        ],
    });

</script>

<script>
  function Limpiar(){
    document.location.href='consultor.php';
  }
  function Limpiar2(){
    $('#id_producto_nota_2').val('0');
    $('#from_date_2').val('');
    $('#to_date_2').val('');
    $('#producto_nota').val('');
    $('#total_notas').text('');
    $('#total_rango').text('');
    $('#total_personas').text('');
    $('#total_mesas').text('');
    $('#total_cantidad').text('');

    var data = {
      "prod": 0,
      "dateIni": '',
      "dateFin": ''
    };
    $.ajax({
        data: data,
        url: '../functions/tabla_consulta_productos.php',
        type: 'post',
        dataType: 'JSON',
        success:  function (response) {
          putDataProductsNote(response);
        },
        error: function (error) {
            console.log(error); 
        }
    });
  }
</script>

<!-- BUSCAR PRODUCTO POR FECHAS -->

<script>
 
  $('#buscarNota').on('click', function(){
    var dateIni= $('#from_date').val();//
    var dateFin = $('#to_date').val();//
    var data = {
      "dateIni": dateIni,
      "dateFin": dateFin
    };
    
     $.ajax({
        data: data,
        url: '../functions/consultor/consult_sales_notes.php',
        type: 'post',
        dataType: 'JSON',
        success:  function (response) {
          
          putDataSaleNote(response);
        },
        error: function (error) {
            console.log(error); 
        }
    });  
    
  });

  
  function getData(){
    $(document).ready(function() {
      var sumanotas = 0;
      var sumamesas = 0;
      var sumapersonas = 0;
      var sumatarjeta = 0;
      var sumaefectivo = 0;
      var tabla = $('#tablaNotas').DataTable();
      $('#tablaNotas tbody tr').each(function(v,u){
        sumanotas= sumanotas+1;
        var tr = $(this).closest('tr');
        var mesa = tr.find('td').eq(5);
        
        sumapersonas = sumapersonas + parseInt(tr.find('td').eq(6).text());
        sumatarjeta =sumatarjeta + parseInt(tr.find('td').eq(7).text());
        sumaefectivo = sumaefectivo + parseInt(tr.find('td').eq(8).text());
        if (mesa.text() > 0) {
          sumamesas = sumamesas + 1;
        }
      });
      
      
      // RANGO
      var sumarango = sumatarjeta + sumaefectivo;
      $('#ntv_notas').text(sumanotas);
      $('#ntv_rango').text('$'+ sumarango);
      $('#ntv_mesas').text(sumamesas);
      $('#ntv_personas').text(sumapersonas);
      $('#ntv_tarjeta').text('$'+sumatarjeta);
      $('#ntv_efectivo').text('$'+sumaefectivo);
    });
    
  }
  $('#btn_buscar_prod').on('click', function(){
    var prod = document.getElementById('id_producto_nota_2').value;//
    var dateIni= document.getElementById('from_date_2').value;//
    var dateFin = document.getElementById('to_date_2').value;//
    var data = {
      "prod": prod,
      "dateIni": dateIni,
      "dateFin": dateFin
    };
    console.log('Buscar producto ' + data["prod"]);
    /* $.ajax({
        data: data,
        url: '../functions/consulta_productos.php',
        type: 'get',
        dataType: 'json',
        success:  function (response) {
          if (response.notas >0) {
            $('#total_notas').text(response.notas);
            $('#total_rango').text('$'+ response.total_efe_tar);
            $('#total_personas').text(response.personas);
            $('#total_mesas').text(response.mesas);
            $('#total_cantidad').text(response.cant);
          }else{
            $('#total_notas').text(0);
            $('#total_rango').text('$'+ 0);
            $('#total_personas').text(0);
            $('#total_mesas').text(0);
            $('#total_cantidad').text(0);
          }
          
        },
        error: function (error) {
            console.log(error); 
        }
    }); */ 
    
    $.ajax({
        data: data,
        url: '../functions/tabla_consulta_productos.php',
        type: 'post',
        dataType: 'JSON',
        success:  function (response) {
          

          putDataProductsNote(response);
        },
        error: function (error) {
            console.log(error); 
        }
    });
  }); 
 
  function putDataSaleNote(dt){
    var sumanotas = 0;
    var sumamesas = 0;
    var sumapersonas = 0;
    var sumatarjeta = 0;
    var sumaefectivo = 0;
    if (dt[0].nta_id > 0) {
      $('#tablaNotas tbody').html('');
      $.each(dt, function (v, u) {
        let ntv_tarjeta = parseFloat(u.ntv_tarjeta).toFixed(2) 
        let ntv_efectivo  = parseFloat(u.ntv_efectivo).toFixed(2) 
          var H = `<tr>
                    <td >${u.ntv_no_nota}</td>
                    <td >${u.ntv_fecha_creacion}</td>
                    <td >${u.ntv_hora_ini}</td>
                    <td >$ ${u.ntv_subtotal}</td>
                    <td >$ ${u.ntv_total_nota}</td>
                    <td >${u.ntv_no_mesa}</td>
                    <td >${u.ntv_no_personas}</td>
                    <td >$ ${ntv_tarjeta}</td>
                    <td >$ ${ntv_efectivo}</td>
                    <td ><button class="badge badge-sm btn bg-gradient-success" type="button" data-bs-toggle="modal" data-bs-placement="top" title="Imprimir" data-bs-target="#ModalImprimir" name="boton_imprimir" id="boton_imprimir" data-id="${u.nta_id}" ><img width="20" src="../assets/img/icons/impresion.png"></button></td>
                </tr>`;
            $('#tablaNotas tbody').append(H);
          sumapersonas = sumapersonas + parseInt(u.ntv_no_personas);
          sumatarjeta =sumatarjeta + parseInt(u.ntv_tarjeta);
          sumaefectivo = sumaefectivo + parseInt(u.ntv_efectivo)
          sumanotas += 1
          if (u.ntv_no_mesa > 0) {
            sumamesas = sumamesas + 1;
        }
      });
    $('#fechaValida').val(1);
    var sumarango = sumatarjeta + sumaefectivo;
    $('#ntv_notas').text(sumanotas);
    $('#ntv_rango').text('$'+ sumarango.toFixed(2));
    $('#ntv_mesas').text(sumamesas);
    $('#ntv_personas').text(sumapersonas);
    $('#ntv_tarjeta').text('$'+sumatarjeta.toFixed(2));
    $('#ntv_efectivo').text('$'+sumaefectivo.toFixed(2));
    /* setTimeout(() => {
      getData();
      
    }, 1000); */
    }else{
      $('#tablaNotas tbody').html('Sin Existencias');
      $('#fechaValida').val(0);

      $('#ntv_notas').text(0);
      $('#ntv_rango').text('$'+ 0);
      $('#ntv_mesas').text(0);
      $('#ntv_personas').text(0);
      $('#ntv_tarjeta').text('$'+0);
      $('#ntv_efectivo').text('$'+0);
    }
    
  }

  function putDataProductsNote(dt){
    let notas = 0
    let total_efe_tar = 0
    let personas = 0
    let mesas = 0
    let cant = 0
    $('#tabla_productos tbody').html('');
    if (dt[0].id_producto > 0) {
      $.each(dt, function (v, u) {
        console.log(total_efe_tar);
        var H = `<tr>
                      <td style="max-width: 96px">${u.pro_nombre}</td>
                      <td >${u.ntv_no_nota}</td>
                      <td >${u.fecha_creacion}</td>
                      <td >${u.pdn_cantidad}</td>
                      <td > $ ${u.total}</td>
                      <td >${u.ntv_no_mesa}</td>
                  </tr>`;
              $('#tabla_productos tbody').append(H);
          
        notas += 1
        total_efe_tar = total_efe_tar + parseFloat(u.total)
        personas = personas + parseFloat(u.ntv_no_personas)
        if (u.ntv_no_mesa > 0) {
          mesas += 1
        }
        cant = cant + parseFloat(u.pdn_cantidad)
      });
    //$('#ModalEspera').modal('toggle');
    /* setTimeout(() => {
      
    }, 10); */
    }else{
      $('#tabla_productos tbody').html('Sin existencia');
    }
    
    $('#total_notas').text(notas);
    $('#total_rango').text('$'+ parseFloat(total_efe_tar).toFixed(2));
    $('#total_personas').text(personas);
    $('#total_mesas').text(mesas);
    $('#total_cantidad').text(cant);
  }
</script>
<!--//////////////// IMPRIMIR PDF //////////////////-->


<script>

$('#tabla_ventas').DataTable({
          //order: [[8, 'Desc']],
          ordering: false,
          dom: 'Blfrtip',
          searching: false,  
          lengthChange: false,
          /* select: {
              style: 'single',
              info: false,
          }, */
          buttons: [],
          pagingType: 'simple_numbers',
          language: {
              url: '../assets/lib/dataTable/spanish.json',
          },
          paging: false,
          scrollY: 'calc(90vh - 300px)',
          scrollX: true,
          fixedHeader: true,
          columns: [
              {data: 'Cocinero', class: ' col-table text-center tb col_table_prd'},
              {data: 'Producto', class: ' col-table text-center  col_table_prd'},
              {data: 'Cantidad', class: ' text-center col_table_prd'},
              {data: 'Precio', class: ' text-center  col_table_prd'},
              {data: 'Total', class: ' text-center  col_table_prd'},
          ],
        });
  function cargarDatosNota(){
    var modal = document.getElementById("ModalImprimir");
    var id_nota = $(modal).find('#btn_imprimir2').data('id');
    var fechaValid = $('#fechaValida').val();
    impresora = "EPSON-TM-T20II"; 
    var datos = {
      "id": id_nota,
      "opcionImprComanda": impresora,
      "fechaValid": fechaValid
    }
    console.log(datos);
    $.ajax({
        data: datos,
        url: '../ticket/ticket_nota_venta_red_1.php',
        type: 'post',
        success:  function (response) {
          console.log(response);
          
        },
        error: function (error) {
            console.log(error); 
        }
      }); 
  };


 /* AREA COCINA */
  $('#buscarNota2').on('click', function(){
  console.log("BUSCANDO")
      let from_date = $('#from_date2').val();
      let to_date = $('#to_date2').val();
      getVentasPorCocinero(from_date, to_date);
      getTotales(from_date, to_date);
  })
  function getVentasPorCocinero(from_date, to_date){
      console.log(from_date, to_date);
      let pagina = '../functions/reportes/list_ventas.php'; 
      let datos = {from_date: from_date, to_date:  to_date }; 
      let dtipo = "JSON"; 
      let tipo = "POST"; 
      let selector = putVentas;
      ajax_function(pagina, datos, dtipo, tipo, selector);
  }
  function getTotales(from_date, to_date){
        let pagina = '../functions/reportes/totales_venta.php'; 
        let datos = {from_date: from_date, to_date:  to_date}; 
        let dtipo = "JSON"; 
        let tipo = "POST"; 
        let selector = putTotales;
        ajax_function(pagina, datos, dtipo, tipo, selector);
    }
  function putVentas(dt){
      console.log(dt);
      let tabla = $('#tabla_ventas').DataTable()
      
      tabla.rows().remove().draw();
      if (dt[0].id > 0) {
          $.each(dt, function (v, u) {
              let pdn_precio = '$ '+ parseFloat(u.pdn_precio).toFixed(2) 
              let total  = '$ '+ parseFloat(u.total).toFixed(2) 
          
              tabla.row
              .add({
                  Cocinero: u.uss_nombre ,
                  Producto: u.pro_nombre,
                  Cantidad: u.cant_productos,
                  Precio: pdn_precio,
                  Total: total,
              })
              .draw();
          })
      }
      

  }
  function putTotales(dt){
      console.log(dt);
      $('#cant_ventas').text(dt[0].cant_productos);
      $('#ganancias').text('$'+parseFloat(dt[0].total).toFixed(2));
  }

  /** FUNCION AJAX */
  function ajax_function(pagina, datos, dtipo, tipo, selector){
        $.ajax({
        type: tipo,
        dataType: dtipo,
        data: datos,
        url: pagina,
        success: function (respuesta) {
            selector(respuesta)
        }, error(e) {
            console.log(e);
        }
        });
    }
    /* fin ajax */
/* FIN AREA COCINA */

    $('#buscarProdsClass').on('click', function(){
      console.log("BUSCANDO CLAss")
      let from_date = $('#from_dateC').val();
      let to_date = $('#to_dateC').val();
      let clasificacion = $('#clasificacion').val();
      getProductosClasificados(clasificacion,from_date, to_date);
      //getTotalesClasificaciones(clasificacion,from_date, to_date);
    })
    
/* CONSULTAR POR CLASIFICACION*/
  function getProductosClasificados(clasificacion, from_date, to_date){
    let pagina = '../functions/consultor/consulta_productos_clasificados.php'; 
    let datos = {from_date: from_date, to_date:  to_date, clasificacion: clasificacion}; 
    let dtipo = "JSON"; 
    let tipo = "POST"; 
    let selector = putProductosClasificados;
    ajax_function(pagina, datos, dtipo, tipo, selector);
  }
  function putProductosClasificados(dt){
    let tabla = $('#tabla_clasificaciones').DataTable()
    let cantidad_total_clasi = 0
    let ganacias_clasi = 0.00
    
    tabla.rows().remove().draw();
    if (dt[0].id > 0) {
        $.each(dt, function (v, u) {
            let pdn_precio = '$ '+ parseFloat(u.pdn_precio).toFixed(2) 
            let total  = '$ '+ parseFloat(u.total).toFixed(2) 
        
            tabla.row
            .add({
                Clasificacion: u.clasificacion ,
                Producto: u.pro_nombre,
                Cantidad: u.cant_productos,
                Precio: pdn_precio,
                Total: total,
            })
            .draw();

            cantidad_total_clasi = cantidad_total_clasi + parseInt(u.cant_productos)
            ganacias_clasi =  ganacias_clasi+ parseFloat(u.total)

            console.log(ganacias_clasi)
        })

        $("#cant_clasificaciones").text(cantidad_total_clasi)
        $("#ganancias_clasi").text('$'+ganacias_clasi.toFixed(2))
    }
  }
/* END CONSULTAR POR CLASIFICACION*/
</script>


<!--@Footer-->
<?php
include("path/footer.php");
?>